Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
ossl_pkcs7.h File Reference

Go to the source code of this file.

## Functions
void | Init_ossl_pkcs7 (void)

## Variables
VALUE | cPKCS7
VALUE | cPKCS7Signer
VALUE | cPKCS7Recipient
VALUE | ePKCS7Error

## Function Documentation

## ◆ Init_ossl_pkcs7()

void Init_ossl_pkcs7 | ( | void |  | ) |

Definition at line 1043 of file ossl_pkcs7.c.

References cPKCS7, eOSSLError, ePKCS7Error, mOSSL, rb_cObject, rb_define_class_under(), rb_define_module(), rb_define_singleton_method(), and rb_eStandardError.

## Variable Documentation

## ◆ cPKCS7

VALUE cPKCS7

Definition at line 67 of file ossl_pkcs7.c.

Referenced by Init_ossl_pkcs7().

## ◆ cPKCS7Recipient

VALUE cPKCS7Recipient

Definition at line 69 of file ossl_pkcs7.c.

## ◆ cPKCS7Signer

VALUE cPKCS7Signer

Definition at line 68 of file ossl_pkcs7.c.

## ◆ ePKCS7Error

VALUE ePKCS7Error

Definition at line 70 of file ossl_pkcs7.c.

Referenced by Init_ossl_pkcs7().